Subject: [bug#30831] [PATCH] gnu: rust: Update rust from 1.22.1 release to 1.24.1

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 20 Mar 2018 11:56:11 +0100

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Nikolai Merinov <[email-masked]> skribis:
>
>> Actually there is two ways to achieve this:
>> 1. Constantly update bootsrap binaries version.
>> 2. For each new release create new package. As result we'll be able to
>> use old rust release to build each new rust release. E.g. we can use
>> 1.21.0 bootstrap binaries, then build 1.22.0 rust and use it to build
>> 1.23.0 rust and then use it to build 1.24.1 rust.
>>
>> Which way is preferable? 
>
> Like I wrote, I would prefer option #2, so as to increase “binary
> diversity” and not rely on builds made by upstream.
>
> This obviously relates to <http://bootstrappable.org/>.  Ricardo, what’s
> your take on this?

I agree.  In the long run, however, I’d prefer for Rust to be
bootstrapped through one of the alternative implementations.  Then we
don’t need to keep a long chain of older versions.

Currently, however, I don’t see a way around it.

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net